import Algorithms.InitializeNodePositions;
import Algorithms.RandomGraphGenerator;
import IO.Reader;
import Model.LayeredGraphNode;
import View.MainView;

public class Main {

	public static void main(String[] args) {
		//Reader r = new Reader( "save.graph" );
		//LayeredGraphNode graph = r.readInputGraph();
	    LayeredGraphNode graph = null;
	    do
	    {
    	    RandomGraphGenerator r = new RandomGraphGenerator( 0.1, 0.3, 1, 10, 1, 5, 3 );
    	    graph = r.createRandomNode( null, 0 );
	    } while( graph.getContainedNodes().size() == 0 );
		InitializeNodePositions.placeNodes( graph );
		new MainView( graph );
	}

}
